;######################################################################
;Config Hint
;1.If InstallSelectedSuspend!=1 or InstallCustermizeID!=1 , DeviceID item will not be used.
;2.Win98 - Win2K will not be supported.
;3.If InstallSelectedSuspend==1 , ask plug-in device function will be started automactilly. 
;4.In WinXP , ask plug-in device function will be started automactilly.
;######################################################################


[Install]
UIPackage=RTL_USB_Utility
DriverPackage=RTL_USB_Driver
BTPackage=RTL_USB_BT
InstallCustermizeID=0
InstallAfterPlugin=0
InstallSelectedSuspend=0
InstallRealtekWLAN=1
InstallRealtekBT=0
FeatureTree=0
Installhotfix=0
InstallTCPReg=0
InstallCiscoEAP=1
InstallEzSharing=0
InstallXPTWOPORT=0
InstallShield_Contact=nicfae@realtek.com.tw
InstallShield_Version=1.00.0199
;#####################################################################

[SupportOS] ;Supported platforms for Install. 
WinXP=1
Win2003=1
WinX64=1
VistaX86=1
VistaX64=1
Win7X86=1
Win7X64=1
Win8X86=1
Win8X64=1

;#####################################################################

[SupportOSUI] ;Supported platforms for RtWlan Utility 
WinXP=1
Win2003=1
WinX64=1
VistaX86=1
VistaX64=1
Win7X86=1
Win7X64=1
Win8X86=1
Win8X64=1

;#####################################################################
[RTL_USB_Driver]
TitleName=REALTEK USB Wireless LAN Driver
ProductGUID_WLAN_DriverOnly=B63CCD1C-A133-4DF8-8306-DA0387231152

DeviceID=VID_0BDA&PID_8179

;//InstallType ==> USB || PCIE || SD
InstallDeviceType=USB  
Driver_Inf=netrtwlanu.inf
Driver_SYS=rtwlanu.sys

Driver_Path=RTWLANU_Driver
Driver_Uninstall_Title=REALTEK Wireless LAN Driver

[RTL_USB_Utility]
TitleName=REALTEK USB Wireless LAN Driver and Utility
ProductGUID_WLAN_Utility=9C049509-055C-4CFF-A116-1D12312225EB

Shortcut_Path=REALTEK USB Wireless LAN Utility
Shortcut_Utility=REALTEK USB Wireless LAN Utility
Shortcut_Uninstall=Uninstall

TARGETDIR=REALTEK\USB Wireless LAN Utility
Utility_Uninstall_Title=REALTEK Wireless LAN Driver and Utility

[RTL_USB_BT]
TitleName_BT=REALTEK PCIE Bluetooth Driver
TitleName_WLANBT_DriverOnly=REALTEK USB Wireless LAN and Bluetooth Driver
TitleName_WLANBT=REALTEK USB Wireless LAN and Bluetooth Driver and Utility

ProductGUID_BT=B6222D1C-A133-4DF8-8306-DA03872FF152
ProductGUID_WLANBT_DriverOnly=B6322D12-A133-4128-8306-DAFFF7231152
ProductGUID_WLANBT=B6355D12-A123-4128-8306-DAFFF7231222

BT_InstallTitle = REALTEK Bluetooth
BT_TARGETDIR = REALTEK\Realtek Bluetooth

InstallParameter_BT[1]=/i /8188CU /F Rtkfilter.inf /HWID "USB\VID_0BDA&PID_8725&REV_0200&MI_00"
InstallParameter_BT[2]=/i /8188CU /F Rtkfilter.inf /HWID "USB\VID_0BDA&PID_0723&REV_0200&MI_00"
InstallParameter_BT[3]=/i /8188CU /F Rtkfilter.inf /HWID "USB\VID_0BDA&PID_0724&REV_0200&MI_00"
InstallParameter_BT[4]=/i /8188CU /F Rtkfilter.inf /HWID "USB\VID_0BDA&PID_1724&REV_0200&MI_00"


UnInstallParameter_BT[1]=/u /8188CU /F Rtkfilter.inf /HWID "USB\VID_0BDA&PID_8725&REV_0200&MI_00"
UnInstallParameter_BT[2]=/u /8188CU /F Rtkfilter.inf /HWID "USB\VID_0BDA&PID_0723&REV_0200&MI_00"
UnInstallParameter_BT[3]=/u /8188CU /F Rtkfilter.inf /HWID "USB\VID_0BDA&PID_0724&REV_0200&MI_00" 
UnInstallParameter_BT[4]=/u /8188CU /F Rtkfilter.inf /HWID "USB\VID_0BDA&PID_1724&REV_0200&MI_00" 


InstallParameter_XP_BT[1]=-r update RTLBt.inf "USB\VID_0BDA&PID_8725&MI_00"
InstallParameter_XP_BT[2]=-r update RTLBt.inf "USB\VID_0BDA&PID_0723&MI_00"
InstallParameter_XP_BT[3]=-r update RTLBt.inf "USB\VID_0BDA&PID_0724&MI_00"
InstallParameter_XP_BT[4]=-r update RTLBt.inf "USB\VID_0BDA&PID_1724&MI_00"

UnInstallParameter_XP_BT[1]=-r remove "USB\VID_0BDA&PID_8725&MI_00"
UnInstallParameter_XP_BT[2]=-r remove "USB\VID_0BDA&PID_0723&MI_00"
UnInstallParameter_XP_BT[3]=-r remove "USB\VID_0BDA&PID_0724&MI_00"
UnInstallParameter_XP_BT[4]=-r remove "USB\VID_0BDA&PID_1724&MI_00"

Driver_Uninstall_Title_BTOnly=REALTEK Bluetooth Driver
Driver_Uninstall_Title_WLANBT=REALTEK Wireless LAN and Bluetooth Driver
Utility_Uninstall_Title_WLANBT=REALTEK Wireless LAN and Bluetooth Driver and Utility

;#####################################################################
[RTL_PCIE_Driver]
TitleName=REALTEK PCIE Wireless LAN Driver
ProductGUID_WLAN=9DAABC60-A5EF-41FF-B2B9-17329590CD5

;//If InstallSelectedSuspend!=1 or InstallCustermizeID!=1 , DeviceID will not be used
DeviceID=VEN_10EC&DEV_8179

;//InstallType ==> USB || PCIE
InstallDeviceType=PCIE  
Driver_Inf=netrtwlane.inf
Driver_SYS=rtwlane.sys

Driver_Path=RTWLANE_Driver
Driver_Uninstall_Title=REALTEK Wireless LAN Driver

[RTL_PCIE_Utility]
TitleName=REALTEK PCIE Wireless LAN Driver and Utility

ProductGUID=526BEFE2-30FF-4123-98F4-01554316DF3B
DeviceID=VEN_10EC&DEV_8723

Shortcut_Path=REALTEK PCIE Wireless LAN Utility
Shortcut_Utility=REALTEK PCIE Wireless LAN Utility
Shortcut_Uninstall=Uninstall

TARGETDIR=REALTEK\PCIE Wireless LAN
Utility_Uninstall_Title=REALTEK Wireless LAN Driver and Utility

[RTL_PCIE_BT]
TitleName_BT=REALTEK PCIE Bluetooth Driver
TitleName_WithBT_DriverOnly=REALTEK PCIE Wireless LAN and Bluetooth Driver
TitleName_WithBT=REALTEK PCIE Wireless LAN and Bluetooth Driver and Utility

ProductGUID_WLANBT=9D3D8C60-A5EF-4123-B2B9-17329590315
ProductGUID_BT=9D3D8C60-A5EF-4123-B2B9-172095903AB

InstallParameter_BT[1]=/i /BT /F Rtkfilter.inf /HWID "USB\VID_0BDA&PID_1724&REV_0200&MI_00"
UnInstallParameter_BT[1]=/u /BT /F Rtkfilter.inf /HWID "USB\VID_0BDA&PID_1724&REV_0200&MI_00" 

InstallParameter_XP_BT[1]=-r update RTLBt.inf "USB\VID_0BDA&PID_8724"
UnInstallParameter_XP_BT[1]=-r remove "USB\VID_0BDA&PID_8724"

Driver_Uninstall_Title_BTOnly=REALTEK Bluetooth Driver
Driver_Uninstall_Title_WLANBT=REALTEK Wireless LAN and Bluetooth Driver
Utility_Uninstall_Title_WLANBT=REALTEK Wireless LAN and Bluetooth Driver and Utility

;#####################################################################
